<?php
/**
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

use Joomla\CMS\Form\FormHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;
use Xiroweb\Module\XirowebArtiNextlastlatest\Site\Helper\XirowebArtLastnextlatestHelper;
use Joomla\CMS\Uri\Uri;


defined('_JEXEC') or die;

extract($displayData);

$wa = Factory::getApplication()->getDocument()->getWebAssetManager();

$wa->getRegistry()->addRegistryFile('media/mod_xiroweb_art_nextlastlatest/joomla.asset.json');
$wa->useScript('mod_xiroweb_art_nextlastlatest.showvalueclass');
$wa->useScript('mod_xiroweb_art_nextlastlatest.showvaluefromfield');
$wa->useScript('showon');


?>
<?php if ($fieldpreview == 'full') : ?>
    <div class="card shadow-preview p-2">

    <h4 <?php echo ' data-showon=\'' .
        json_encode(FormHelper::parseShowOnConditions('show_latest_label:1', 'jform', 'params')) . '\''; ?>>
        <span <?php echo ' data-showon=\'' .
        json_encode(FormHelper::parseShowOnConditions('show_text_latest_label:0', 'jform', 'params')) . '\''; ?> >
            <?php echo Text::_('MOD_XIROWEB_ART_NEXTLASTLATEST_PREVIEW_TEXT_LATEST_LABEL'); ?>
        </span>
        <span <?php echo ' data-showon=\'' .
        json_encode(FormHelper::parseShowOnConditions('show_text_latest_label:1', 'jform', 'params')) . '\''; ?> <?php echo ' data-showvaluefromfield=\'' .
        json_encode(XirowebArtLastnextlatestHelper::parseShowValueclassConditions('text_latest_label:1', 'jform', 'params')) . '\'';?> ></span>
    </h4>

    <ul class="nextlastlatest">
            <li>
                <div class="placeholder-glow">
                <span class="placeholder col-7"></span>
                <span class="placeholder col-4"></span>
                </div>
            </li>
            <li class="item">
                <span class="title fw-bold text-info"> 
                                    <i  class="fas fa-link"></i>
                        <?php echo Text::_('MOD_XIROWEB_ART_NEXTLASTLATEST_FIELD_PREVIEW_TITLE'); ?>
                </span>
            
                    <?php 
                        $rel           = ' data-showon=\'' .
                        json_encode(FormHelper::parseShowOnConditions('show_date:1', 'jform', 'params')) . '\'';
                    ?>
                    <span class=" fs-small-1" <?php echo $rel; ?>>
                        <?php echo Text::_('MOD_XIROWEB_ART_NEXTLASTLATEST_FIELD_PREVIEW_DATE'); ?>
                    </span>
                    <?php 
                        $rel           = ' data-showon=\'' .
                        json_encode(FormHelper::parseShowOnConditions('show_category:1', 'jform', 'params')) . '\'';
                    ?>
                    <span class=" fs-small-1" <?php echo $rel; ?>>
                        <?php echo Text::_('JCATEGORY'); ?>
                    </span>
                    <?php 
                        $rel           = ' data-showon=\'' .
                        json_encode(FormHelper::parseShowOnConditions('show_hits:1', 'jform', 'params')) . '\'';
                    ?>
                    <span class=" fs-small-1" <?php echo $rel; ?>>
                        <?php echo Text::_('MOD_XIROWEB_ART_NEXTLASTLATEST_FIELD_PREVIEW_HIT'); ?>
                    </span>
                    <?php 
                        $rel           = ' data-showon=\'' .
                        json_encode(FormHelper::parseShowOnConditions('show_author:1', 'jform', 'params')) . '\'';
                    ?>
                    <span class=" fs-small-1" <?php echo $rel; ?>>
                        <?php echo Text::_('MOD_XIROWEB_ART_NEXTLASTLATEST_FIELD_PREVIEW_AUTHOR'); ?>
                    </span>
                
            </li>
            <li>
                <div class="placeholder-glow">
                <span class="placeholder col-7"></span>
                <span class="placeholder col-4"></span>
                </div>
            </li>
            <li>
                <div class="placeholder-glow">
                <span class="placeholder col-7"></span>
                <span class="placeholder col-4"></span>
                </div>
            </li>
    </ul>
    <h4 <?php echo ' data-showon=\'' .
        json_encode(FormHelper::parseShowOnConditions('show_next_label:1', 'jform', 'params')) . '\''; ?>>
        <span <?php echo ' data-showon=\'' .
        json_encode(FormHelper::parseShowOnConditions('show_text_next_label:0', 'jform', 'params')) . '\''; ?> >
            <?php echo Text::_('MOD_XIROWEB_ART_NEXTLASTLATEST_PREVIEW_NEXT_LABEL'); ?>
        </span>
        <span <?php echo ' data-showon=\'' .
        json_encode(FormHelper::parseShowOnConditions('show_text_next_label:1', 'jform', 'params')) . '\''; ?> <?php echo ' data-showvaluefromfield=\'' .
        json_encode(XirowebArtLastnextlatestHelper::parseShowValueclassConditions('text_next_label:1', 'jform', 'params')) . '\'';?> ></span>
    </h4>

    <ul class="nextlastlatest">
            <li>
                <div class="placeholder-glow">
                <span class="placeholder col-7"></span>
                <span class="placeholder col-4"></span>
                </div>
            </li>
            <li class="item">
                <span class="title fw-bold text-info"> 
                                    <i  class="fas fa-link"></i>
                        <?php echo Text::_('MOD_XIROWEB_ART_NEXTLASTLATEST_FIELD_PREVIEW_TITLE'); ?>
                </span>
            
                    <?php 
                        $rel           = ' data-showon=\'' .
                        json_encode(FormHelper::parseShowOnConditions('show_date:1', 'jform', 'params')) . '\'';
                    ?>
                    <span class=" fs-small-1" <?php echo $rel; ?>>
                        <?php echo Text::_('MOD_XIROWEB_ART_NEXTLASTLATEST_FIELD_PREVIEW_DATE'); ?>
                    </span>
                    <?php 
                        $rel           = ' data-showon=\'' .
                        json_encode(FormHelper::parseShowOnConditions('show_category:1', 'jform', 'params')) . '\'';
                    ?>
                    <span class=" fs-small-1" <?php echo $rel; ?>>
                        <?php echo Text::_('JCATEGORY'); ?>
                    </span>
                    <?php 
                        $rel           = ' data-showon=\'' .
                        json_encode(FormHelper::parseShowOnConditions('show_hits:1', 'jform', 'params')) . '\'';
                    ?>
                    <span class=" fs-small-1" <?php echo $rel; ?>>
                        <?php echo Text::_('MOD_XIROWEB_ART_NEXTLASTLATEST_FIELD_PREVIEW_HIT'); ?>
                    </span>
                    <?php 
                        $rel           = ' data-showon=\'' .
                        json_encode(FormHelper::parseShowOnConditions('show_author:1', 'jform', 'params')) . '\'';
                    ?>
                    <span class=" fs-small-1" <?php echo $rel; ?>>
                        <?php echo Text::_('MOD_XIROWEB_ART_NEXTLASTLATEST_FIELD_PREVIEW_AUTHOR'); ?>
                    </span>
                
            </li>
            <li>
                <div class="placeholder-glow">
                <span class="placeholder col-7"></span>
                <span class="placeholder col-4"></span>
                </div>
            </li>
            <li>
                <div class="placeholder-glow">
                <span class="placeholder col-7"></span>
                <span class="placeholder col-4"></span>
                </div>
            </li>
    </ul>
    <h4 <?php echo ' data-showon=\'' .
        json_encode(FormHelper::parseShowOnConditions('show_last_label:1', 'jform', 'params')) . '\''; ?>>
        <span <?php echo ' data-showon=\'' .
        json_encode(FormHelper::parseShowOnConditions('show_text_last_label:0', 'jform', 'params')) . '\''; ?> >
            <?php echo Text::_('MOD_XIROWEB_ART_NEXTLASTLATEST_PREVIEW_LAST_LABEL'); ?>
        </span>
        <span <?php echo ' data-showon=\'' .
        json_encode(FormHelper::parseShowOnConditions('show_text_last_label:1', 'jform', 'params')) . '\''; ?> <?php echo ' data-showvaluefromfield=\'' .
        json_encode(XirowebArtLastnextlatestHelper::parseShowValueclassConditions('text_last_label:1', 'jform', 'params')) . '\'';?> ></span>
    </h4>

    <ul class="nextlastlatest">
            <li>
                <div class="placeholder-glow">
                <span class="placeholder col-7"></span>
                <span class="placeholder col-4"></span>
                </div>
            </li>
            <li class="item">
                <span class="title fw-bold text-info"> 
                                    <i  class="fas fa-link"></i>
                        <?php echo Text::_('MOD_XIROWEB_ART_NEXTLASTLATEST_FIELD_PREVIEW_TITLE'); ?>
                </span>
            
                    <?php 
                        $rel           = ' data-showon=\'' .
                        json_encode(FormHelper::parseShowOnConditions('show_date:1', 'jform', 'params')) . '\'';
                    ?>
                    <span class=" fs-small-1" <?php echo $rel; ?>>
                        <?php echo Text::_('MOD_XIROWEB_ART_NEXTLASTLATEST_FIELD_PREVIEW_DATE'); ?>
                    </span>
                    <?php 
                        $rel           = ' data-showon=\'' .
                        json_encode(FormHelper::parseShowOnConditions('show_category:1', 'jform', 'params')) . '\'';
                    ?>
                    <span class=" fs-small-1" <?php echo $rel; ?>>
                        <?php echo Text::_('JCATEGORY'); ?>
                    </span>
                    <?php 
                        $rel           = ' data-showon=\'' .
                        json_encode(FormHelper::parseShowOnConditions('show_hits:1', 'jform', 'params')) . '\'';
                    ?>
                    <span class=" fs-small-1" <?php echo $rel; ?>>
                        <?php echo Text::_('MOD_XIROWEB_ART_NEXTLASTLATEST_FIELD_PREVIEW_HIT'); ?>
                    </span>
                    <?php 
                        $rel           = ' data-showon=\'' .
                        json_encode(FormHelper::parseShowOnConditions('show_author:1', 'jform', 'params')) . '\'';
                    ?>
                    <span class=" fs-small-1" <?php echo $rel; ?>>
                        <?php echo Text::_('MOD_XIROWEB_ART_NEXTLASTLATEST_FIELD_PREVIEW_AUTHOR'); ?>
                    </span>
                
            </li>
            <li>
                <div class="placeholder-glow">
                <span class="placeholder col-7"></span>
                <span class="placeholder col-4"></span>
                </div>
            </li>
            <li>
                <div class="placeholder-glow">
                <span class="placeholder col-7"></span>
                <span class="placeholder col-4"></span>
                </div>
            </li>
    </ul>
    </div>
<?php endif; ?>