<?php
/**
 * @subpackage  mod_xiroweb_art_nextlastlatest
 * @copyright   (C) 2021-2022 Xiroweb All rights reserved.
 * @copyright   (C) 2010 Open Source Matters, Inc. <https://www.joomla.org>
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

use Joomla\CMS\Helper\ModuleHelper;
use Xiroweb\Module\XirowebArtiNextlastlatest\Site\Helper\XirowebArtLastnextlatestHelper;

$input = $app->input;
   
$option = $input->get('option');
$view   = $input->get('view');
$idbase = null;


if ($option === 'com_content')
{
    switch ($view)
    {
        case 'article':
                $idbase = $input->getInt('id');
            break;
        default:
            break;
    }
}

$cacheid = md5(serialize(array ($idbase, $module->module, $module->id)));

$cacheparams               = new \stdClass;
$cacheparams->cachemode    = 'id';
$cacheparams->class        = XirowebArtLastnextlatestHelper::class;
$cacheparams->method       = 'getList';
$cacheparams->methodparams = $params;
$cacheparams->modeparams   = $cacheid;

$list                       = ModuleHelper::moduleCache($module, $params, $cacheparams);

require ModuleHelper::getLayoutPath('mod_xiroweb_art_nextlastlatest', $params->get('layout', 'default'));